### Method

# Fwupd SecurityAttr add_guids

since: 1.7.0

#### Declaration [src]

    void
    fwupd_security_attr_add_guids (
      FwupdSecurityAttr* self,
      GPtrArray* guids
    )

#### Description [src]

Adds device GUIDs to the attribute. This indicates the GUIDs in some way contributed to the result decided.

Available since: 1.7.0

#### Parameters

`guids`

  Type: An array of `utf8`

  The GUIDs.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.